extends Panel

signal claimed

@export var tower: Tower
@export var player: Player

@export var id: String
@export var title: String
@export var subtitle: String
@export var description: String

func _ready():
	$Title.text = title
	$Subtitle.text = subtitle
	$Description.text = description

func _on_claim():
	if id == "QUICK_TRIGGER":
		if player.fire_cooldown_duration > 0:
			player.fire_cooldown_duration -= 0.05
	claimed.emit()
